/* ********************************************************************** */
/*                            UPDATE 1.0.22_001                           */
/* ---------------------------------------------------------------------- */

/* extend speciality field of physician */
ALTER TABLE office.physician ALTER COLUMN speciality TYPE text;
ALTER TABLE prescription.prescriptions ALTER COLUMN physician_speciality TYPE text;

/* extend log with site and duration */
ALTER TABLE core.log ADD COLUMN site varchar(500);
ALTER TABLE core.log ADD COLUMN duration int8;


/* fix contraints/cascades in agenda */
ALTER TABLE agenda.calendar DROP CONSTRAINT fk_calendar_physician;
ALTER TABLE agenda.calendar ADD CONSTRAINT fk_calendar_physician
    FOREIGN KEY (physician_id) REFERENCES office.physician(id) ON DELETE CASCADE;
    
ALTER TABLE agenda.appointment_type DROP CONSTRAINT fk_appointment_type_calendar;
ALTER TABLE agenda.appointment_type ADD CONSTRAINT fk_appointment_type_calendar
    FOREIGN KEY (calendar_id) REFERENCES agenda.calendar(id) ON DELETE CASCADE;
    
/* this file is final - no more changes allowed!!!! */
    
/**** UPDATE THE SCRIPTNAME BELOW TO THE FILENAME OF THIS FILE !!!!!!!! *****/
INSERT INTO "core"."info" (date,key,value) VALUES ('now','LAST_UPDATE' ,'db_update_1.0.22_001.sql');