/* ************************************************************************ */
/*                             UPDATE 1.2.07_003                            */
/* ------------------------------------------------------------------------ */

-- Add number for Medcin Referent
ALTER TABLE patient.patient
ADD COLUMN mr_declaration_no VARCHAR DEFAULT NULL;

-- Delete the code, if they exist
DELETE FROM billing.rate 
WHERE code = 'MR01'
OR code = 'MR02';

-- Add the MR rates
INSERT INTO billing.rate
(key_value_id, index_id, code, label, cat, cac, apcm, acm, old_coefficient, applicability, new_coefficient)
VALUES
(1, (SELECT id FROM billing.rate_index WHERE label = 'G_9'), 'MR01', E'Forfait pour la gestion du dossier de soins partagé (résumé patient) pour patient entre 18 et 69 ans', 
	false, true, false, false, 0.0, '2012-01-01', 14.04),
(1, (SELECT id FROM billing.rate_index WHERE label = 'G_9'), 'MR02', E'Forfait pour la gestion du dossier de soins partagé (résumé patient) pour patient à partir de 70 ans ou atteint d''une patologie chronique grave', 
	false, true, false, false, 0.0, '2012-01-01', 24.71);



/* ********************************************************************** */

/**** UPDATE THE SCRIPTNAME BELOW TO THE FILENAME OF THIS FILE !!!!!!!! *****/
INSERT INTO core.info (date,key,value) VALUES ('now','LAST_UPDATE' ,'db_update_1.2.07_003.sql');