/* ************************************************************************ */
/*                             UPDATE 1.2.07_004                            */
/* ------------------------------------------------------------------------ */

-- Add new column hl7_acronym update an insert new Insurances
ALTER TABLE patient.insurance ADD hl7_acronym VARCHAR;
ALTER TABLE patient.insurance ALTER COLUMN acronym TYPE VARCHAR;
ALTER TABLE patient.insurance ADD CONSTRAINT acronym_ukey UNIQUE (acronym);
ALTER TABLE patient.insurance ADD CONSTRAINT hl7_acronym_ukey UNIQUE (hl7_acronym);

UPDATE patient.insurance SET acronym = 'EPL'					WHERE acronym = 'EPI';

UPDATE patient.insurance SET hl7_acronym = '-' 					WHERE acronym = '-';
UPDATE patient.insurance SET hl7_acronym = 'CNAM' 				WHERE acronym = 'CNAMO';
UPDATE patient.insurance SET hl7_acronym = 'CMFEP'				WHERE acronym = 'CMFEP';
UPDATE patient.insurance SET hl7_acronym = 'CMFEC'				WHERE acronym = 'CMFEC';
UPDATE patient.insurance SET hl7_acronym = 'CMEP'				WHERE acronym = 'CMEP';
UPDATE patient.insurance SET hl7_acronym = 'CMPI'				WHERE acronym = 'CMPI';
UPDATE patient.insurance SET hl7_acronym = 'CMOA'				WHERE acronym = 'CMOA';
UPDATE patient.insurance SET hl7_acronym = 'CMEA'				WHERE acronym = 'CMEA';
UPDATE patient.insurance SET hl7_acronym = 'CMA'				WHERE acronym = 'CMA';
UPDATE patient.insurance SET hl7_acronym = 'EMCFL'				WHERE acronym = 'EM-CFL';
UPDATE patient.insurance SET hl7_acronym = 'MAMMO'				WHERE acronym = 'MAMMO';
UPDATE patient.insurance SET hl7_acronym = 'ARMEE'				WHERE acronym = 'ARMEE';
UPDATE patient.insurance SET hl7_acronym = 'DG'					WHERE acronym = 'GUERRE';
UPDATE patient.insurance SET hl7_acronym = 'SIST EHL'			WHERE acronym = 'SIST-EHL';
UPDATE patient.insurance SET hl7_acronym = 'CNS'				WHERE acronym = 'CNS';
UPDATE patient.insurance SET hl7_acronym = 'RCAM'				WHERE acronym = 'RCAM';
UPDATE patient.insurance SET hl7_acronym = 'BEI'				WHERE acronym = 'BEI';
UPDATE patient.insurance SET hl7_acronym = 'EUROCONTROL'		WHERE acronym = 'EUCTRL';
UPDATE patient.insurance SET hl7_acronym = 'VAN BREDA-NAMSA'	WHERE acronym = 'NAMSA';
UPDATE patient.insurance SET hl7_acronym = 'BREDA'				WHERE acronym = 'BREDA';
UPDATE patient.insurance SET hl7_acronym = 'PARTIC'				WHERE acronym = 'PRIV';
UPDATE patient.insurance SET hl7_acronym = 'POLICE'				WHERE acronym = 'POLICE';
UPDATE patient.insurance SET hl7_acronym = 'PT'					WHERE acronym = 'PARQUET';
UPDATE patient.insurance SET hl7_acronym = 'EPI'				WHERE acronym = 'EPL';
UPDATE patient.insurance SET hl7_acronym = 'COGOET'				WHERE acronym = 'CGE';
UPDATE patient.insurance SET hl7_acronym = 'STA'				WHERE acronym = 'STA';
UPDATE patient.insurance SET hl7_acronym = 'SMA'				WHERE acronym = 'SMA';
UPDATE patient.insurance SET hl7_acronym = 'MEPS'				WHERE acronym = 'MEPS';
UPDATE patient.insurance SET hl7_acronym = 'SANTE'				WHERE acronym = 'SANTE';
UPDATE patient.insurance SET hl7_acronym = 'STM'				WHERE acronym = 'STM';
UPDATE patient.insurance SET hl7_acronym = 'STI'				WHERE acronym = 'STI';
UPDATE patient.insurance SET hl7_acronym = 'UCM'				WHERE acronym = 'UCM';
UPDATE patient.insurance SET hl7_acronym = 'AAI'				WHERE acronym = 'AAI';
UPDATE patient.insurance SET hl7_acronym = 'E111'				WHERE acronym = 'E111';
UPDATE patient.insurance SET hl7_acronym = 'CMCM'				WHERE acronym = 'CMCM';

INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (101, 'ASTF', 'ASTF', E'A.S.T.F. - HOPITAL KIRCHBERG', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (102, 'ADMAERO', 'ADMAERO', E'ADMINISTRATION DE L''AEROPORT', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (103, 'ADMDESBIENS', 'ADMDESBIENS', E'ADMINISTRATION DES BIENS DU GRAND-DUC', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (104, 'AIRRESCUE', 'AIRRESCUE', E'AIR RESCUE', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (105, 'ALLIANZ', 'ALLIANZ', E'ALLIANZ', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (106, 'AMELIFE', 'AMELIFE', E'AME LIFE LUXEMBOURG S.A.', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (107, 'AXA', 'AXA', E'AXA ASSURANCES', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (108, 'AXAVIE', 'AXAVIE', E'AXA ASSURANCES VIE LUXEMBOURG', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (109, 'BALOISE', 'BALOISE', E'BALOISE ASSURANCES', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (110, 'CAEAVIATION', 'CAEAVIATION', E'CAE AVIATION', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (111, 'CARGOLUX', 'CARGOLUX', E'CARGOLUX', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (112, 'CNS-AAGR', 'CNS-AAGR', E'CNS - ACCIDENT AGRICOLE', true, true, false, false, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (113, 'CNS-AAIN', 'CNS-AAIN', E'CNS - ACCIDENT DE TRAVAIL', true, true, false, false, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (114, 'CONSARBITRAL', 'CONSARBITRAL', E'CONSEIL ARBITRAL', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (115, 'DKVLUX', 'DKVLUX', E'D.K.V.', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (116, 'DKV', 'DKV', E'DKV KOELN AG', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (117, 'FORTIS', 'FORTIS', E'FORTIS ASSURANCES LUXEMBOURG', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (118, 'FOYERSANTE', 'FOYERSANTE', E'FOYER SANTE S.A.', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (119, 'LUXAIR', 'LUXAIR', E'LUXAIR', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (120, 'LUXAVIATION', 'LUXAVIATION', E'LUXAVIATION', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (121, 'OLAI', 'OLAI', E'OFFICE LUXEMBOURGEOIS DE L''ACCUEIL ET DE L''INTEGRATION', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (122, 'PARLEMENT', 'PARLEMENT', E'PARLEMENT EUROPEEN', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (123, 'RAIFFEISEN', 'RAIFFEISEN', E'RAIFFEISEN VIE', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (124, 'VIVIUM', 'VIVIUM', E'VIVIUM ASSURANCES', false, true, false, true, 1, false);
INSERT INTO patient.insurance (id, acronym, hl7_acronym, name, ucm_affiliated, is_primary, is_third_party, is_private, majoration, disbanded) VALUES (125, 'VLM', 'VLM', E'VLM AIRLINES', false, true, false, true, 1, false);

-- Add new marital status
INSERT INTO core.marital_status (value) VALUES ('partnership');
INSERT INTO core.marital_status (value) VALUES ('other');

/* ********************************************************************** */

/**** UPDATE THE SCRIPTNAME BELOW TO THE FILENAME OF THIS FILE !!!!!!!! *****/
INSERT INTO core.info (date,key,value) VALUES ('now','LAST_UPDATE' ,'db_update_1.2.07_004.sql');